# SphereGeometry

#### new Cesium.SphereGeometry(options)
Core/SphereGeometry.js 41

A description of a sphere centered at the origin.

Name | Type | Description
--- | --- | ---

`options`

Object

optional Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`radius` | Number | `1.0` | optional The radius of the sphere.
`stackPartitions` | Number | `64` | optional The number of times to partition the ellipsoid into stacks.
`slicePartitions` | Number | `64` | optional The number of times to partition the ellipsoid into radial slices.
`vertexFormat` | VertexFormat | `VertexFormat.DEFAULT` | optional The vertex attributes to be computed.

##### Throws:

- DeveloperError : options.slicePartitions cannot be less than three.
- DeveloperError : options.stackPartitions cannot be less than three.

##### Example:

    var sphere = new Cesium.SphereGeometry({
      radius : 100.0,
      vertexFormat : Cesium.VertexFormat.POSITION_ONLY
    });
    var geometry = Cesium.SphereGeometry.createGeometry(sphere);

##### See:

- SphereGeometry#createGeometry

### Members

#### staticCesium.SphereGeometry.packedLength : Number
Core/SphereGeometry.js 59

The number of elements used to pack the object into an array.

### Methods

#### staticCesium.SphereGeometry.createGeometry(sphereGeometry) → Geometry
Core/SphereGeometry.js 117

Computes the geometric representation of a sphere, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`sphereGeometry` | SphereGeometry | A description of the sphere.

##### Returns:

The computed vertices and indices.

#### staticCesium.SphereGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/SphereGeometry.js 70

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | SphereGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### staticCesium.SphereGeometry.unpack(array, startingIndex, result) → SphereGeometry
Core/SphereGeometry.js 95

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | SphereGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new SphereGeometry instance if one was not provided.